User Tools

Site Tools


docs:tips_n_tricks:ubuntu:missing_bcm.hcd

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
docs:tips_n_tricks:ubuntu:missing_bcm.hcd [20.05.2018 23:49]
peter [Getting driver and tools]
docs:tips_n_tricks:ubuntu:missing_bcm.hcd [20.05.2018 23:51] (current)
peter [Getting driver and tools]
Line 31: Line 31:
 There are several pointers to https://​github.com/​winterheart/​broadcom-bt-firmware/​tree/​master/​brcm,​ but it lacks the driver for USB ID 0489:​e031. ​ There are several pointers to https://​github.com/​winterheart/​broadcom-bt-firmware/​tree/​master/​brcm,​ but it lacks the driver for USB ID 0489:​e031. ​
  
-I found a [[https://​docs.broadcom.com/​docs/​12358523|windows drivers package]] at the [[https://​www.broadcom.com/​support/​download-search/?​pg=&​pf=Bluetooth+SoCs&​pn=&​po=&​pa=&​dk=Bluetooth|Broadcom site]]((Drivers provided by //Fujitsu// [[http://​support.fujitsupc.com/​CS/​Portal/​driverdownload.do|here]] are in .exe format only)).+I found a [[https://​docs.broadcom.com/​docs/​12358523|windows drivers package]]((As we're only interessted in the firmware, the bit-width of the OS doesn'​t matter)) ​at the [[https://​www.broadcom.com/​support/​download-search/?​pg=&​pf=Bluetooth+SoCs&​pn=&​po=&​pa=&​dk=Bluetooth|Broadcom site]]((Drivers provided by //Fujitsu// [[http://​support.fujitsupc.com/​CS/​Portal/​driverdownload.do|here]] are in .exe format only)).
  
 Unfortunately the perl script provided by winterheart from the git repository mentioned above to identify and convert the firmware did not run((Used Perl Package Regexp::​Grammars might not be compatible with Perl 5.18.2 used in //​Trusty//​)). Also, the utility //hex2hcd// is not available for Ubuntu Trusty Thar. But the binary in the //bluez// package for //Xenial// is sufficient - you don't need to install the package, unpacking by  Unfortunately the perl script provided by winterheart from the git repository mentioned above to identify and convert the firmware did not run((Used Perl Package Regexp::​Grammars might not be compatible with Perl 5.18.2 used in //​Trusty//​)). Also, the utility //hex2hcd// is not available for Ubuntu Trusty Thar. But the binary in the //bluez// package for //Xenial// is sufficient - you don't need to install the package, unpacking by 
docs/tips_n_tricks/ubuntu/missing_bcm.hcd.txt · Last modified: 20.05.2018 23:51 by peter